<?php
/**
 * Created by PhpStorm.
 * User: tatu
 * Date: 6/23/20
 * Time: 12:10 AM
 */

use App\Models\AppSession;

if(!function_exists('get_current_session')) {
    function get_current_session(){
        return AppSession::where('session_key', request()->cookie('sessionKey'))->first();
    }
}

if(!function_exists('friendly_date_time')) {
    function friendly_date_time($value, $includeTime = true, $default = '-') {
        if(!$value || empty($value)) return $default;
        try {
            $result = strtotime($value);
            $result = date("jS M o" . ($includeTime ? ", H:i" : ""), $result);
            return $result;
        }
        catch (Exception $e) {
            return $value;
        }
    }
}

if(!function_exists('friendly_time')) {
    function friendly_time($value, $default = '-') {
        if(!$value || empty($value)) return $default;
        try {
            $result = strtotime($value);
            $result = date("H:i", $result);
            return $result;
        }
        catch (Exception $e) {
            return $value;
        }
    }
}

if(!function_exists('friendly_month')) {
    function friendly_month($value) {
        if(!$value || empty($value)) return "-";
        try {
            $result = strtotime($value);
            $result = date("M o", $result);
            return $result;
        }
        catch (Exception $e) {
            return $value;
        }
    }
}

if(!function_exists('time_in_hrminsec')) {
    function time_in_hrminsec($value, $default = '-') {
        if(!$value || empty($value)) return $default;
        $value = intval($value);
        $minutes = intval($value / 60);
        $seconds = $value % 60;
        $hours = 0;
        if($minutes >= 60) {
            $hours = intval($minutes / 60);
            $minutes = $minutes % 60;
        }
        $output = [];
        if($hours > 0) {
            $output[] = "{$hours}h";
        }
        if($minutes > 0) {
            $output[] = "{$minutes}m";
        }
        if($seconds > 0) {
            $output[] = "{$seconds}s";
        }
        return implode(" ", $output);
    }
}

if(!function_exists('sanitize_field_name')) {
    function sanitize_field_name($name) {
        $result = strtolower($name);
        return preg_replace("/[^0-9a-z]/i", "_", $result);
    }
}
