<?php

namespace App\Http\Controllers;

use App\Models\AppSession;
use App\Models\Note;
use App\Models\NoteTemplate;
use App\Models\Pro;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Support\Facades\Cookie;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;


    public function __construct()
    {
        $session = get_current_session();
        if($session && $session->pro) {
            view()->share('pro', $session->pro);
        }
        view()->share('pros', Pro::all());
        view()->share('notes', Note::all());
        
        $noteTemplates = NoteTemplate::all();
        view()->share('noteTemplates', $noteTemplates);
    }

    public function performer(){
        $sessionKey = Cookie::get('sessionKey');
        if ($sessionKey == null){
            throw new \Exception('No session key in cookie.');
        }
        $performer = AppSession::where('session_key', $sessionKey)->first();
        return $performer;
    }
}
